STRUCT TEMPL(3)

NAME
boost::interprocess::managed_weak_ptr

SYNOPSIS

// In header: <boost/interprocess/smart_ptr/weak_ptr.hpp>
template<typename T, typename ManagedMemory>
struct managed_weak_ptr {
  // types
  typedef weak_ptr< T, typename ManagedMemory::template allocator< void >::type, typename ManagedMemory::template deleter< T >::type > type;
};

DESCRIPTION

Returns the type of a weak pointer of type T with the allocator boost::interprocess::allocator allocator and boost::interprocess::deleter deleter that can be constructed in the given managed segment type.